> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emailr.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update inbox

> Update an inbox's display name (username and domain are immutable)



## OpenAPI

````yaml /openapi.json put /v1/inboxes/{id}
openapi: 3.0.3
info:
  title: Emailr API
  version: 1.0.0
servers:
  - url: https://api.emailr.dev
    description: Production
security: []
tags:
  - name: emails
    description: Email sending and management
  - name: contacts
    description: Contact management
  - name: templates
    description: Email template management
  - name: domains
    description: Domain verification and management
  - name: webhooks
    description: Webhook configuration
  - name: broadcasts
    description: Broadcast campaign management
  - name: segments
    description: Contact segmentation
paths:
  /v1/inboxes/{id}:
    put:
      tags:
        - inboxes
      summary: Update inbox
      description: Update an inbox's display name (username and domain are immutable)
      operationId: updateInbox
      parameters:
        - schema:
            type: string
            format: uuid
            example: 123e4567-e89b-12d3-a456-426614174000
          required: true
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateInboxRequest'
      responses:
        '200':
          description: Inbox updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Inbox'
        '404':
          description: Inbox not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateInboxRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          example: Support Team
        reply_to:
          type: string
          nullable: true
          format: email
          description: >-
            Custom reply-to address. Set to null to reset to default
            (username@mail.domain).
          example: support@mail.example.com
        signature_html:
          type: string
          nullable: true
          description: HTML signature content appended to outgoing transactional emails
        signature_enabled:
          type: boolean
          description: Whether to append the signature to outgoing transactional emails
          example: false
        slack_connection_id:
          type: string
          format: uuid
          nullable: true
          description: >-
            Slack OAuth connection ID for notifications. Set to null to
            disconnect.
        slack_channel_id:
          type: string
          nullable: true
          description: Slack channel ID to send notifications to
        slack_channel_name:
          type: string
          nullable: true
          description: Slack channel display name (cached)
        slack_notifications_enabled:
          type: boolean
          description: Whether to send Slack notifications for incoming emails
          example: false
    Inbox:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 123e4567-e89b-12d3-a456-426614174000
        organization_id:
          type: string
          format: uuid
        name:
          type: string
          example: Support
        username:
          type: string
          example: support
        domain:
          type: string
          example: example.com
        reply_to:
          type: string
          description: >-
            Reply-to address for outbound emails. Defaults to
            username@mail.domain when not set.
          example: support@mail.example.com
        from_address:
          type: string
          description: Computed from address (username@domain) used for outbound sending
          example: support@example.com
        inbound_address:
          type: string
          description: >-
            Computed inbound address (username@mail.domain) used for receiving
            emails
          example: support@mail.example.com
        signature_html:
          type: string
          nullable: true
          description: HTML signature content appended to outgoing transactional emails
          example: <p>Best regards,<br/>Support Team</p>
        signature_enabled:
          type: boolean
          description: Whether to append the signature to outgoing transactional emails
          example: false
        slack_connection_id:
          type: string
          nullable: true
          format: uuid
          description: Slack OAuth connection ID for notifications
        slack_channel_id:
          type: string
          nullable: true
          description: Slack channel ID where notifications are sent
        slack_channel_name:
          type: string
          nullable: true
          description: Slack channel display name
        slack_notifications_enabled:
          type: boolean
          description: Whether Slack notifications are enabled for this inbox
          example: false
        unread_thread_count:
          type: integer
          description: Number of unread threads in this inbox
          example: 3
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - organization_id
        - name
        - username
        - domain
        - reply_to
        - from_address
        - inbound_address
        - signature_html
        - signature_enabled
        - slack_connection_id
        - slack_channel_id
        - slack_channel_name
        - slack_notifications_enabled
        - unread_thread_count
        - created_at
        - updated_at
    Error:
      type: object
      properties:
        error:
          type: string
          example: An error occurred
        code:
          type: string
          example: VALIDATION_ERROR
        details: {}
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API key authentication. Use your API key as the bearer token.

````